Name:           plexus-interactivity
Version:        1.0
Release:        %mkrel 0.21.alpha7
Group:          Development/Java
Epoch:          0
Summary:        Plexus Interactivity Handler Component
License:        MIT
URL:            https://github.com/codehaus-plexus/plexus-interactivity
BuildArch:      noarch
# svn export \
#   http://svn.codehaus.org/plexus/plexus-components/tags/plexus-interactivity-1.0-alpha-6/
# tar caf plexus-interactivity-1.0-alpha-6-src.tar.xz \
#   plexus-interactivity-1.0-alpha-6
Source0:        plexus-interactivity-1.0-alpha-6-src.tar.xz
Patch1:         plexus-interactivity-dependencies.patch
Patch2:         plexus-interactivity-jline2.patch

BuildRequires:  maven-local
BuildRequires:  mvn(jline:jline) >= 2
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%package api
Summary:        API for %{name}

%description api
API module for %{name}.

%package jline
Summary:        jline module for %{name}

%description jline
jline module for %{name}.

%prep
%setup -q -n plexus-interactivity-1.0-alpha-6
%patch1 -p1
%patch2 -p1

%mvn_file ":{plexus}-{*}" @1/@2

%build
%mvn_package ":plexus-interactivity"

%mvn_build -f -s

%install
%mvn_install

%files -f .mfiles
%files api -f .mfiles-plexus-interactivity-api
%files jline -f .mfiles-plexus-interactivity-jline

%files javadoc -f .mfiles-javadoc



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 0:1.0-0.21.alpha7.mga6
+ Revision: 977755
- First rebuild of the java stack
- sync package plexus-interactivity with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri May 15 2015 neoclust <neoclust> 0:1.0-0.15.alpha6.5.mga5
+ Revision: 822126
- Fix upgrade from mga4

* Wed Dec 31 2014 pterjan <pterjan> 0:1.0-0.15.alpha6.4.mga5
+ Revision: 807833
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 0:1.0-0.15.alpha6.3.mga5
+ Revision: 743314
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 dmorgan <dmorgan> 0:1.0-0.15.alpha6.1.mga5
+ Revision: 636470
- Build with xmvn

* Sat Oct 19 2013 umeabot <umeabot> 0:1.0-0.4.a6.12.mga4
+ Revision: 529437
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 dmorgan <dmorgan> 0:1.0-0.4.a6.11.mga4
+ Revision: 451838
- Removed dependency on plexus-container-default

* Sun Jan 13 2013 umeabot <umeabot> 0:1.0-0.4.a6.10.mga3
+ Revision: 377899
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Add patch to fix build issues

* Sun Jan 22 2012 gil <gil> 0:1.0-0.4.a6.8.mga2
+ Revision: 199771
- build fix
  build with maven 3
  adapt to current guidelines

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.0-0.4.a6.8.mga1
+ Revision: 93024
- Rebuild after bootstrapping
- imported package plexus-interactivity


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.4.a6.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec  1 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:1.0-0.3.a6.7
- Fix pom filenames (Resolves rhbz#655821)
- Cleanups according to new guidelines

* Wed Oct 6 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.3.a6.6
- Use javadoc:aggregate.

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.3.a6.5
- Really fix depmaps.

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.3.a6.4
- Add parent/subname defines to fix poms/depmaps.

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.3.a6.3
- Update to alpha 6.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.3.a5.2.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.2.a5.2.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-0.1.a5.2.3
- drop repotag
- fix license tag

* Tue Mar 13 2007 Matt Wringe <mwringe@redhat.com> 1.0-0.1.a5.2jpp.2
- Add missing build requires for ant-nodeps

* Fri Feb 16 2007 Andrew Overholt <overholt@redhat.com> 1.0-0.1.a5.2jpp.1
- Remove javadoc symlinking

* Thu Feb 23 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.0-0.a5.2jpp
- First JPP 1.7 build
- With remavenization to 1.1 by Deepak Bhole <dbhole@redhat.com>

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a5.1jpp
- First JPackage build
